<?php
include "ver_sessao.php";
include "conecta.php";


function index(){
		
	if($_POST[busca_cod] != '')
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_nome]%' ";
	if($_POST[busca_cnpj] != '')
		$extra .= " AND enti_tx_cnpj = '$_POST[busca_cnpj]' ";
	if($_POST[busca_tipo] != '')
		$extra .= " AND enti_tx_pessoa = '$_POST[busca_tipo]' ";
	if($_POST[busca_cidade] != ''){ 
		$extra .= " AND enti_nb_cidade = '$_POST[busca_cidade]' ";
		$a_cida = carregar('cidade',$_POST[busca_cidade]);
	}

	$extra .= " AND (enti_tx_pessoa='Pessoa Física' OR enti_tx_pessoa='Pessoa Jurídica')";
	
	cabecalho('Cadastro de Fornecedores',2);
	
	$sql = selecionar("entidade",'enti_tx_status,enti_tx_tipo',"ativo,Fornecedor"," $extra  ".grid::order_by('enti_nb_id'),1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	//CAMPOS
	$c[] = cactux::campo('Código:','busca_cod',$_POST[busca_cod],1);
	$c[] = cactux::campo('Nome:','busca_nome',$_POST[busca_nome],5);
	$c[] = cactux::campo('CPF/CNPJ:','busca_cnpj',$_POST[busca_cnpj],2,MASCARA_CNPJ);
	$c[] = cactux::combo('Tipo:','busca_tipo',array('','Pessoa Física','Pessoa Jurídica'),$_POST[busca_tipo],2);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserirf = cactux::botao('Inserir P. Física',2,'inserir_fisica');
	$inserirj = cactux::botao('Inserir P. Jurídica',2,'inserir_juridica');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	$status = cactux::msg_status();
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserirf,$inserirj,$imprimir);
	cactux::linha_fieldset($status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir_fisica','layout_entidade_fisico');
	cactux::acao_botao('inserir_juridica','layout_entidade_juridico');
	
	//PARA MANDAR A CONSULTA PARA A TELA DE IMPRESSÃO
	$sql = str_replace(",",";",$sql);
	cactux::acao_botao('imprimir','imprime_busca','sql',$sql,'','','target=_blank');
	
	$cabecalho[] = array('COD.','NOME','CIDADE','CPF/CNPJ','CONTATO','FONE','TIPO','','');
	$cabecalho[] = 'c,e,e,e,e,e,e';
	$cabecalho[] = '6%,,15%,12%,10%,10%,10%,2%,2%';
	
	while($a = carrega_array($BUSCA[0])){
		
		$excluir = ".icone_excluir($a[0],exclui_entidade)";
		$modificar=".icone_modificar($a[enti_nb_id],modifica_entidade)";
		if($a[enti_tx_fone]!='')
			$br = "<BR>";
		
		if($a[enti_nb_cidade]>0) {
			$a_cida = carregar('cidade',$a[enti_nb_cidade]);
			$a_cida[cida_tx_nome] = $a_cida[cida_tx_nome]."/".$a_cida[cida_tx_uf];
		}
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a_cida[cida_tx_nome],$a[enti_tx_cnpj],$a[enti_tx_contato],
		$a[enti_tx_fone].$br.$a[enti_tx_cel],$a[enti_tx_pessoa],
		$modificar,$excluir);
		unset($br);
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

function cadastra_lista(){

	$sql = selecionar('lifornecedor,produto','lifo_tx_status','ativo'," AND lifo_nb_entidade = '$_POST[id]' AND lifo_nb_produto = '$_POST[produto]'",0);
	if(num_linhas($sql)>0){
		$a=carrega_array($sql);
		$id_lifo=$a[0];
	}

	if($_POST[id_lifo])
		$id_lifo=$_POST[id_lifo];

	$cam = array(lifo_nb_entidade,lifo_nb_produto,lifo_tx_codigo,lifo_tx_data,lifo_nb_user,lifo_tx_status);
	$val = array($_POST[id],$_POST[produto],$_POST[codigo],date("Y-m-d"),$_SESSION[user_nb_id],'ativo');
	if($id_lifo>0)
		atualizar('lifornecedor',$cam,$val,$id_lifo);
	else
		inserir('lifornecedor',$cam,$val,1);


	linha_fornecimento();
	exit;

}

function excluir_produto(){

	$a=carregar('lifornecedor',$_POST[id]);

	remover('lifornecedor',$a[0]);
	$_POST[id]=$a[lifo_nb_entidade];

	linha_fornecimento();
	exit;

}

function modificar_produto(){
	global $a_mod_prod;
	$a_mod_prod=carregar('lifornecedor,produto',$_POST[id]);

	$_POST[id]=$a_mod_prod[lifo_nb_entidade];

	linha_fornecimento();
	exit;

}


function linha_fornecimento(){
	global $a_mod_prod;
	$a_mod=carregar('entidade',$_POST[id]);

	$nome = cactux::texto('Nome Fantasia:',$a_mod[enti_tx_nome],3);
	$fone = cactux::texto('Telefone:',$a_mod[enti_tx_fone],2);
	$cel = cactux::texto('Celular:',$a_mod[enti_tx_cel],2);
	$email = cactux::texto('E-Mail:',$a_mod[enti_tx_email],3);

	$produto = cactux::combo_net('Produto:','produto',$a_mod_prod[prod_nb_id],$a_mod_prod[prod_tx_nome],4,array('combonet/busca_div.php?c=produto','combonet/busca_net.php?c=produto'));
	$codigo = cactux::campo('Código:','codigo',$a_mod_prod[lifo_tx_codigo],3);
	$status = cactux::msg_status();

	
	$b1 = cactux::botao_submit('Gravar',2,'cadastra_lista','id,id_lifo',"$_POST[id],$a_mod_prod[lifo_nb_id]");
	$b3 = cactux::botao('Finalizar',2,'finalizar');
	$b2 = cactux::botao('Voltar',2,'voltar');

	cabecalho('Cadastro de Fornecedores',2);
	
	cactux::abre_form();
	cactux::abre_fieldset('Dados do Fornecedor');
	cactux::linha_fieldset($nome,$fone,$cel,$email);
	cactux::fecha_fieldset();
	cactux::abre_fieldset('Dados do Produto');
	cactux::linha_fieldset($produto,$codigo);
	cactux::linha_fieldset($b2,$b1,$b3,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	acao_botao('voltar','modifica_entidade','id',$_POST[id]);
	acao_botao('finalizar','index');

	$sql = selecionar('lifornecedor,produto','lifo_tx_status','ativo'," AND lifo_nb_entidade = '$_POST[id]' ORDER BY prod_tx_nome ASC");
	while($a=carrega_array($sql)){

		$excluir = ".icone_excluir($a[0],excluir_produto)";
		$modificar=".icone_modificar($a[0],modificar_produto)";

		$val[] = array(++$i,$a[lifo_tx_codigo],$a[prod_tx_nome],$modificar,$excluir);
	}
	
	$cab[] = array('','CÓDIGO','PRODUTO','','');
	$cab[] = 'c,c,e,e';
	$cab[] = '10%,30%,,2%,2%';

	grid::gerar($cab,$val);

	exit;
}

function layout_entidade_fisico(){
	
	global $a_mod;
	global $a_mod_cida;
	global $a_mod_bair;	
	global $a_mod_cida2;
	global $a_mod_bair2;
	global $a_mod_cida_natural;
	
	
	// if( !$a_mod[empr_nb_cidade] ) {
	// 	$a_mod[empr_nb_cidade] = "1162";
	// 	$a_mod_cida[cida_tx_nome] = "Mossoró/RN";
	// 	$a_mod[empr_nb_cidade2] = "1162";
	// 	$a_mod_cida2[cida_tx_nome] = "Mossoró/RN";
	// }
	
	cabecalho('Cadastro de Fornecedores',2);
	cactux::abre_form();
	
	//DADOS entidade
	$nome = cactux::campo('Nome:','nome',$a_mod[enti_tx_nome],6);
	$cnpj = cactux::campo('CPF:','cnpj',$a_mod[enti_tx_cnpj],2,MASCARA_CPF);
	$estadual = cactux::campo('RG:','estadual',$a_mod[enti_tx_estadual],2);
	$civil = cactux::combo('Estado Civil:','civil',array('Solteiro','Casado','Divorciado','Viúvo'),$a_mod[enti_tx_civil],2);
	$prof = cactux::campo('Profissão:','profissao',$a_mod[enti_tx_profissao],3);
	$natu = cactux::combo_net('!Naturalidade:','naturalidade',$a_mod[enti_nb_natural],$a_mod_cida_natural[cida_tx_nome],3,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	// $natu = cactux::campo('Naturalidade:','naturalidade',$a_mod[enti_nb_natural],3);
	$tipo= cactux::combo('Tipo:','tipo2',array('Fornecedor','Cliente'),$a_mod[enti_tx_tipo],2);
	
	//ENDEREÇO
	$logradouro = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro',$a_mod[enti_tx_endereco],6);
	$num = cactux::campo('Nº:','num',$a_mod[enti_tx_numero],2);
	$complemento = cactux::campo('Complemento:','complemento',$a_mod[enti_tx_complemento],2);
	
	$bairro = cactux::campo('Bairro:','bairro',$a_mod[enti_tx_bairro],4);
//	$bairro = cactux::combo_net('Bairro:','bairro',$a_mod[enti_nb_bairro],$a_mod_bair[bair_tx_nome],4,array('busca_bairro.php','busca_bairro_net.php'));
	$cidade = cactux::combo_net('!Cidade:','cidade',$a_mod[enti_nb_cidade],$a_mod_cida[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep = cactux::campo('CEP:','cep',$a_mod[enti_tx_cep],2,MASCARA_CEP);
	
	//ENDEREÇO COBRANÇA
	$logradouro2 = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro2',$a_mod[enti_tx_endereco2],6);
	$num2 = cactux::campo('Nº:','num2',$a_mod[enti_tx_numero2],2);
	$complemento2 = cactux::campo('Complemento:','complemento2',$a_mod[enti_tx_complemento2],2);
	
	$bairro2 = cactux::campo('Bairro:','bairro2',$a_mod[enti_tx_bairro2],4);
//	$bairro2 = cactux::combo_net('!Bairro:','bairro2',$a_mod[enti_nb_bairro2],$a_mod_bair2[bair_tx_nome],4,array('busca_bairro.php','busca_bairro_net.php'));
	$cidade2 = cactux::combo_net('!Cidade:','cidade2',$a_mod[enti_nb_cidade2],$a_mod_cida2[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep2 = cactux::campo('CEP:','cep2',$a_mod[enti_tx_cep2],2,MASCARA_CEP);
	
	//CONTATOS
	$contato = cactux::campo('Contato:','contato',$a_mod[enti_tx_contato],2);
	$fone = cactux::campo('Telefone:','fone',$a_mod[enti_tx_fone],2,MASCARA_FONE);
	$cel = cactux::campo('Celular:','cel',$a_mod[enti_tx_cel],2,MASCARA_FONE);
	$email = cactux::campo('E-Mail:','email',$a_mod[enti_tx_email],4);

	
	if($a_mod[enti_nb_banco] != '')
		$a_banco = carregar('banco',$a_mod[enti_nb_banco]);
	
			
	// $c[] = cactux::combo_net('Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,array("busca_div.php?c=banco","busca_net3.php?c=banco"));
	$c[] = cactux::combo_bd('!Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,'banco');
	$c[] = cactux::campo('Agência:','agencia',$a_mod[enti_tx_agencia],2);
	$c[] = cactux::campo('Conta:','conta',$a_mod[enti_tx_conta],2);
	
	
	// 	ALTER TABLE `entidade` ADD `enti_tx_natural` VARCHAR( 50 ) NULL , ADD `enti_tx_civil` VARCHAR( 50 ) NULL 

	
	//BOTOES
	if ($_POST[acao] == 'layout_entidade_fisico')
		$cadastrar = cactux::botao_submit('Gravar',2,'cadastra_entidade','retorno,tipo',"$_POST[retorno],Pessoa Física");
	else
		$cadastrar = cactux::botao_submit('Atualizar',2,'atualiza_entidade','id',"$_POST[id]");
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	if ($_POST[acao] != 'layout_entidade_fisico')
		$linha = cactux::botao('Linha de Fornecimento',2,'linha_fornecimento');
	
	cactux::abre_fieldset('Dados do Fornecedor');
	cactux::linha_fieldset($nome,$cnpj,$estadual);
	cactux::linha_fieldset($civil,$prof,$natu,$tipo);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Endereço');
	cactux::linha_fieldset($logradouro,$num,$complemento);
	cactux::linha_fieldset($bairro,$cidade,$cep);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Endereço de Cobrança');
	cactux::linha_fieldset($logradouro2,$num2,$complemento2);
	cactux::linha_fieldset($bairro2,$cidade2,$cep2);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Contato');
	cactux::linha_fieldset($contato,$fone,$cel,$email);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações Bancárias');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();

	$status =cactux::msg_status();

	if ($_POST[acao] == 'layout_entidade')
		cactux::linha_fieldset($voltar,$cadastrar,$linha,$status);
	else
		cactux::linha_fieldset($voltar,$cadastrar,$linha,$status);
	
	cactux::fecha_form();
	
	if($_POST[retorno]=='venda')
		cactux::acao_botao('voltar','index','',"",'pedido.php');
	else
		cactux::acao_botao('voltar','index');

	cactux::acao_botao('linha_fornecimento','linha_fornecimento','id',$_POST[id]);
	
	rodape();
	

}


function layout_entidade_juridico(){
	
	global $a_mod;
	global $a_mod_cida;
	global $a_mod_bair;	
	global $a_mod_cida2;
	global $a_mod_bair2;
	
	
	
	cabecalho('Cadastro de Fornecedores',2);
	
	//DADOS FORNECEDOR
	$razao = cactux::campo('Razão Social:','razao',$a_mod[enti_tx_razao],6);	
	$cnpj = cactux::campo('CNPJ/CPF:','cnpj',$a_mod[enti_tx_cnpj],4,MASCARA_CNPJ);

	$nome = cactux::campo('Nome Fantasia:','nome',$a_mod[enti_tx_nome],3);
	$estadual = cactux::campo('Inscrição Estadual:','estadual',$a_mod[enti_tx_estadual],2);
	$tipo_contribuinte = cactux::combo('Tipo do Contrinuinte:','tipo_contribuinte',array('1 - Contribuinte ICMS','2 - Contribuinte Isento','9 - Não Contribuinte'),$a_mod[enti_tx_tipoContribuinte],2);
	$municipal = cactux::campo('Inscrição&nbsp;Municipal:','municipal',$a_mod[enti_tx_municipal],1);
	$tipo= cactux::combo('Tipo:','tipo2',array('Fornecedor','Cliente'),$a_mod[enti_tx_tipo],2);
	
	//ENDEREÇO
	$logradouro = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro',$a_mod[enti_tx_endereco],6);
	$num = cactux::campo('Nº:','num',$a_mod[enti_tx_numero],2);
	$complemento = cactux::campo('Complemento:','complemento',$a_mod[enti_tx_complemento],2);
	
	$bairro = cactux::campo('Bairro:','bairro',$a_mod[enti_tx_bairro],4);
//	$bairro = cactux::combo_net('Bairro:','bairro',$a_mod[enti_nb_bairro],$a_mod_bair[bair_tx_nome],4,array('busca_bairro.php','busca_bairro_net.php'));
	$cidade = cactux::combo_net('!Cidade:','cidade',$a_mod[enti_nb_cidade],$a_mod_cida[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep = cactux::campo('CEP:','cep',$a_mod[enti_tx_cep],2,MASCARA_CEP);
	
	//ENDEREÇO COBRANÇA
	$logradouro2 = cactux::campo('Logradouro(Rua, Avenida, Travessa...):','logradouro2',$a_mod[enti_tx_endereco2],6);
	$num2 = cactux::campo('Nº:','num2',$a_mod[enti_tx_numero2],2);
	$complemento2 = cactux::campo('Complemento:','complemento2',$a_mod[enti_tx_complemento2],2);
	
	$bairro2 = cactux::campo('Bairro:','bairro2',$a_mod[enti_tx_bairro2],4);
	$cidade2 = cactux::combo_net('!Cidade:','cidade2',$a_mod[enti_nb_cidade2],$a_mod_cida2[cida_tx_nome],4,array('combonet/busca_cidade.php','combonet/busca_cidade_net.php'));
	$cep2 = cactux::campo('CEP:','cep2',$a_mod[enti_tx_cep2],2,MASCARA_CEP);
	
	//CONTATOS
	$contato = cactux::campo('Contato:','contato',$a_mod[enti_tx_contato],2);
	$fone = cactux::campo('Telefone:','fone',$a_mod[enti_tx_fone],2,MASCARA_FONE);
	$cel = cactux::campo('Celular:','cel',$a_mod[enti_tx_cel],2,MASCARA_FONE);
	$email = cactux::campo('E-Mail:','email',$a_mod[enti_tx_email],4);
	
	if($a_mod[enti_nb_banco] != '')
		$a_banco = carregar('banco',$a_mod[enti_nb_banco]);
			
	// $c[] = cactux::combo_net('Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,array("busca_div.php?c=banco","busca_net3.php?c=banco"));
	$c[] = cactux::combo_bd('!Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],3,'banco');
	$c[] = cactux::campo('Agência:','agencia',$a_mod[enti_tx_agencia],2);
	$c[] = cactux::campo('Conta:','conta',$a_mod[enti_tx_conta],2);
			
	//BOTOES
	if ($_POST[acao] == 'layout_entidade_juridico')
		$cadastrar = cactux::botao_submit('Cadastrar',2,'cadastra_entidade','retorno,tipo',"$_POST[retorno],Pessoa Jurídica");
	else
		$cadastrar = cactux::botao_submit('Atualizar',2,'atualiza_entidade','id',"$_POST[id]");
	
	if ($_POST[acao] != 'layout_entidade_juridico')
		$linha = cactux::botao('Linha de Fornecimento',2,'linha_fornecimento');

	$voltar = cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_form();
	
	cactux::abre_fieldset('Dados do Fornecedor');
	cactux::linha_fieldset($razao,$cnpj);
	cactux::linha_fieldset($nome,$estadual,$tipo_contribuinte,$municipal,$tipo);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('Endereço');
	cactux::linha_fieldset($logradouro,$num,$complemento);
	cactux::linha_fieldset($bairro,$cidade,$cep);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Endereço de Cobrança');
	cactux::linha_fieldset($logradouro2,$num2,$complemento2);
	cactux::linha_fieldset($bairro2,$cidade2,$cep2);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Contato');
	cactux::linha_fieldset($contato,$fone,$cel,$email);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações Bancárias');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	
	$status =cactux::msg_status();
	
	if ($_POST[acao] == 'layout_entidade')
		cactux::linha_fieldset($voltar,$cadastrar,$linha,$status);
	else
		cactux::linha_fieldset($voltar,$cadastrar,$linha,$status);
	
	cactux::fecha_form();
	
	if($_POST[retorno]=='venda')
		cactux::acao_botao('voltar','index','',"",'pedido.php');
	else
		cactux::acao_botao('voltar','index');

	cactux::acao_botao('linha_fornecimento','linha_fornecimento','id',$_POST[id]);
	
	rodape();
	
}

function imprime_busca(){
	
	if($_POST[busca_cod] != '')
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]' ";
	if($_POST[busca_nome] != '')
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_nome]%' ";
	if($_POST[busca_cnpj] != '')
		$extra .= " AND enti_tx_cnpj = '$_POST[busca_cnpj]' ";
	if($_POST[busca_tipo] != '')
		$extra .= " AND enti_tx_pessoa = '$_POST[busca_tipo]' ";
	
	$sql = $_POST[sql];
	$sql = str_replace(";",",",$sql);
	$sql = str_replace("\\","",$sql);
	$sql = query($sql);
	
	cabecaRelatorio('RELATÓRIO DE ENTIDADES');
	
	cactux::abre_form('');
	
	$c[]=cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[]=cactux::texto('Nome:',$_POST['busca_nome'],4);
	$c[]=cactux::texto('CPF/CNPJ:',$_POST['busca_cnpj'],3);
	$c[]=cactux::texto('Tipo:',$_POST['busca_tipo'],2);
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";
	
	$cabecalho[] = array('CÓD.','NOME','CNPJ/CPF','CONTATO','FONE','TIPO');
	$cabecalho[] = 'c,e,e,e,e,e';
	$cabecalho[] = '6%,,15%,12%,10%,15%,2%,2%';
	
	while( $a = carrega_array($sql) ){
		
		if($a[enti_tx_fone]!=''){
			$br = "<BR>";
		}
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_cnpj],$a[enti_tx_contato],
		$a[enti_tx_fone].$br.$a[enti_tx_cel],$a[enti_tx_pessoa]);
		unset($br);
	}
	
	grid::gerar($cabecalho,$valores);
	
}

function verifica_cnpj($cnpj){
	
	
	//VERIFICA SE JA EXITE CPF OU CNPJ JA CADASTRADO COM ESSE NUMERO
	$sql = selecionar('entidade','enti_tx_status',"!inativo"," AND enti_tx_cnpj = '$cnpj' ");
	if( num_linhas($sql) > 0 ){
		
		set_status('CNPJ/CPF Já Cadastrado');
		index();
		exit;
		
	}
	
}

function cadastra_entidade(){
	
	//verifica_cnpj($_POST[cnpj]);

	

	$campos = array(enti_tx_status,enti_tx_nome,enti_tx_cnpj,enti_tx_estadual,enti_tx_tipoContribuinte,enti_tx_municipal,
					enti_tx_endereco,enti_tx_numero,enti_tx_complemento,enti_tx_bairro,enti_nb_cidade,enti_tx_cep,
					enti_tx_endereco2,enti_tx_numero2,enti_tx_complemento2,enti_tx_bairro2,enti_nb_cidade2,enti_tx_cep2,
					enti_tx_fone,enti_tx_cel,enti_tx_contato,enti_tx_email,enti_tx_razao,enti_tx_tipo,enti_tx_pessoa,
					enti_tx_civil,enti_tx_profissao,enti_nb_natural,enti_nb_banco,
					enti_tx_agencia,enti_tx_conta);
	
	$valores = array('ativo',$_POST[nome],$_POST[cnpj],$_POST[estadual],$_POST[tipo_contribuinte],$_POST[municipal],
					$_POST[logradouro],$_POST[num],$_POST[complemento],$_POST[bairro],$_POST[cidade],$_POST[cep],
					$_POST[logradouro2],$_POST[num2],$_POST[complemento2],$_POST[bairro2],$_POST[cidade2],$_POST[cep2],
					$_POST[fone],$_POST[cel],$_POST[contato],$_POST[email],$_POST[razao],$_POST[tipo2],$_POST[tipo],
					$_POST[civil],$_POST[profissao],$_POST[naturalidade],
					$_POST[banco],$_POST[agencia],$_POST[conta]);
	
	inserir('entidade',$campos,$valores);
	
	$_POST[id] = ultimo_reg('entidade');
		
	
	
	modifica_entidade();
	exit;
	
}

function atualiza_entidade(){
	
	$a = carregar('enti_nb_id|entidade',$_POST[id]);
	
	//$campos=array(enti_tx_nome);
	//$valores=array($_POST[nome]);
	//atualizar('entidade',$campos,$valores,$a[enti_nb_id]);
	
	
	$campos = array(enti_tx_nome,enti_tx_cnpj,enti_tx_estadual,enti_tx_tipoContribuinte,enti_tx_municipal,
					enti_tx_endereco,enti_tx_numero,enti_tx_complemento,enti_tx_bairro,enti_nb_cidade,enti_tx_cep,
					enti_tx_endereco2,enti_tx_numero2,enti_tx_complemento2,enti_tx_bairro2,enti_nb_cidade2,enti_tx_cep2,
					enti_tx_fone,enti_tx_cel,enti_tx_contato,enti_tx_email,enti_tx_razao,
					enti_tx_civil,enti_tx_profissao,enti_nb_natural,enti_nb_banco,enti_tx_tipo,
					enti_tx_agencia,enti_tx_conta);
	
	$valores = array($_POST[nome],$_POST[cnpj],$_POST[estadual],$_POST[tipo_contribuinte],$_POST[municipal],
				$_POST[logradouro],$_POST[num],$_POST[complemento],$_POST[bairro],$_POST[cidade],$_POST[cep],
				$_POST[logradouro2],$_POST[num2],$_POST[complemento2],$_POST[bairro2],$_POST[cidade2],$_POST[cep2],
				$_POST[fone],$_POST[cel],$_POST[contato],$_POST[email],$_POST[razao],
				$_POST[civil],$_POST[profissao],$_POST[naturalidade],$_POST[banco],$_POST[tipo2],
				$_POST[agencia],$_POST[conta]);
	
	atualizar('entidade',$campos,$valores,$_POST[id]);
	
	index();
	exit;
	
}

function modifica_entidade(){
	
	global $a_mod;
	global $a_mod_cida;
	global $a_mod_bair;
	global $a_mod_cida2;
	global $a_mod_bair2;
	global $a_mod_cida_natural;
	
	$a_mod = carregar('entidade',$_POST[id]);
	
	if($a_mod[enti_nb_cidade]>0) {
		$a_mod_cida = carregar('cidade',$a_mod[enti_nb_cidade]);
		$a_mod_cida[cida_tx_nome] = $a_mod_cida[cida_tx_nome]."/".$a_mod_cida[cida_tx_uf];
	}
	
	
	if($a_mod[enti_nb_cidade2]>0) {
		$a_mod_cida2 = carregar('cidade',$a_mod[enti_nb_cidade2]);
		$a_mod_cida2[cida_tx_nome] = $a_mod_cida2[cida_tx_nome]."/".$a_mod_cida2[cida_tx_uf];
	}
	
	if($a_mod[enti_nb_bairro2]>0)
		$a_mod_bair2 = carregar('bairro',$a_mod[enti_nb_bairro2]);
	
	if($a_mod[enti_nb_natural]>0) {
		$a_mod_cida_natural = carregar('cidade',$a_mod[enti_nb_natural]);
		$a_mod_cida_natural[cida_tx_nome] = $a_mod_cida_natural[cida_tx_nome]."/".$a_mod_cida_natural[cida_tx_uf];
	}
	
	//VERIFICA QUAL O TIPO DO entidade E MANDA PARA A TELA CERTA
	if($a_mod[enti_tx_pessoa]=='Pessoa Física')
		layout_entidade_fisico();
	else
		layout_entidade_juridico();
	
	
}

function exclui_entidade(){

	$a = carregar('enti_nb_id|entidade',$_POST[id]);
	
	remover('entidade',$_POST[id]);
	//remover('entidade',$a[enti_nb_id]);
	
	index();
}

controle();
?>